Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - o -

- object : Lucene::TestScope
- OBJECT_HEADER_BYTES : Lucene::DocumentsWriter
- objectLock : Lucene::LuceneSync , Lucene::LuceneSignal
- objectSignal : Lucene::LuceneSync
- obtain() : Lucene::Lock
- Occur : Lucene::BooleanClause
- occur : Lucene::BooleanClause
- offset : Lucene::CharTokenizer , Lucene::CompoundFileReader::FileEntry , Lucene::FieldInvertState , Lucene::Payload , Lucene::PhrasePositions
- offset0 : Lucene::ByteSliceWriter
- offsetAtt : Lucene::CharTokenizer , Lucene::KeywordTokenizer , Lucene::StandardTokenizer
- OffsetAttribute() : Lucene::OffsetAttribute
- offsetAttribute : Lucene::SingleTokenAttributeSource , Lucene::TermVectorsTermsWriterPerField
- offsets : Lucene::BaseCharFilter , Lucene::TermVectorsPositionInfo , Lucene::SegmentTermPositionVector , Lucene::TermVectorEntry , Lucene::ParallelArrayTermVectorMapper
- OMIT_NORMS : Lucene::FieldInfos
- OMIT_TERM_FREQ_AND_POSITIONS : Lucene::FieldInfos
- omitNorms : Lucene::FieldInfo , Lucene::Field
- omitTermFreqAndPositions : Lucene::FieldInfo , Lucene::FormatPostingsDocsWriter , Lucene::FormatPostingsPositionsWriter , Lucene::FreqProxTermsWriterPerField , Lucene::SegmentMerger , Lucene::AbstractField
- onCommit() : Lucene::IndexDeletionPolicy , Lucene::KeepOnlyLastCommitDeletionPolicy , Lucene::SnapshotDeletionPolicy
- one : Lucene::DocFieldConsumers , Lucene::DocFieldConsumersPerDoc , Lucene::DocFieldConsumersPerField , Lucene::DocFieldConsumersPerThread , Lucene::DocFieldProcessorPerThreadPerDoc
- OneMerge() : Lucene::OneMerge
- onInit() : Lucene::IndexDeletionPolicy , Lucene::KeepOnlyLastCommitDeletionPolicy , Lucene::SnapshotDeletionPolicy
- onOrAfter() : Lucene::LuceneVersion
- open() : Lucene::DirectoryReader , Lucene::FSDirectory , Lucene::IndexReader
- OpenBitSet() : Lucene::OpenBitSet
- OpenBitSetDISI() : Lucene::OpenBitSetDISI
- OpenBitSetIterator() : Lucene::OpenBitSetIterator
- openDocStores() : Lucene::SegmentReader
- openFiles() : Lucene::DocumentsWriter
- openInput() : Lucene::FSDirectory , Lucene::SimpleFSDirectory , Lucene::CompoundFileReader , Lucene::Directory , Lucene::FileSwitchDirectory , Lucene::FSDirectory , Lucene::MMapDirectory , Lucene::RAMDirectory , Lucene::SimpleFSDirectory
- openNorms() : Lucene::SegmentReader
- openReaderPassed : Lucene::SegmentInfoStatus
- Operator : Lucene::QueryParser
- operator bool() : Lucene::Array< TYPE > , Lucene::Collection< TYPE > , Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::Set< TYPE, LESS > , Lucene::Map< KEY, VALUE, LESS >
- operator!() : Lucene::Array< TYPE > , Lucene::Collection< TYPE > , Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::Map< KEY, VALUE, LESS > , Lucene::Set< TYPE, LESS > , Lucene::HashMap< KEY, VALUE, HASH, EQUAL >
- operator!=() : Lucene::Array< TYPE > , Lucene::Collection< TYPE > , Lucene::Set< TYPE, LESS >
- operator<<() : Lucene::InfoStreamOut , Lucene::InfoStreamNull , Lucene::InfoStream , Lucene::InfoStreamFile
- operator=() : Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::Map< KEY, VALUE, LESS > , Lucene::HashSet< TYPE, HASH, EQUAL >
- operator==() : Lucene::Set< TYPE, LESS > , Lucene::Array< TYPE > , Lucene::Collection< TYPE >
- operator[]() : Lucene::Collection< TYPE > , Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::Collection< TYPE > , Lucene::Array< TYPE > , Lucene::Map< KEY, VALUE, LESS >
- optimize() : Lucene::IndexWriter , Lucene::OneMerge
- optimizeMaxNumSegments : Lucene::IndexWriter
- optimizeMergesPending() : Lucene::IndexWriter
- optionalScorers : Lucene::BooleanScorer2
- optScorer : Lucene::ReqOptSumScorer
- OR : Lucene::QueryParserConstants
- OR_OPERATOR : Lucene::QueryParser
- ord : Lucene::SegmentMergeInfo
- order : Lucene::StringOrdValComparator , Lucene::StringIndex
- ordered : Lucene::NearSpansUnordered
- OrdFieldSource() : Lucene::OrdFieldSource
- ords : Lucene::StringOrdValComparator
- origEnum : Lucene::TermInfosReader
- OS_NAME : Lucene::Constants
- otherWriter : Lucene::TermInfosWriter
- out : Lucene::FormatPostingsDocsWriter , Lucene::FormatPostingsPositionsWriter
- OutOfMemory : Lucene::LuceneException
- output : Lucene::ASCIIFoldingFilter , Lucene::ISOLatin1AccentFilter , Lucene::TermInfosWriter
- outputPos : Lucene::ISOLatin1AccentFilter , Lucene::ASCIIFoldingFilter

clucene.sourceforge.net